## vhd-tool 0.7.5

=== Makefile ===

include config.mk

build: setup.data
	rm -f configure.cmo configure.cmi
	ocaml setup.ml -build

setup.data: setup.ml
	rm -f configure.cmo configure.cmi
	ocaml setup.ml -configure ${ENABLE_XENSERVER}

.PHONY: clean
clean: setup.data
	rm -f configure.cmo configure.cmi
	ocaml setup.ml -clean

install: build
	install -D -m 755 main.native ${BINDIR}/vhd-tool || echo "Failed to install vhd-tool"
	install -D -m 755 sparse_dd.native ${LIBEXECDIR}/sparse_dd || echo "Failed to install sparse_dd"
	install -D -m 644 src/sparse_dd.conf ${ETCDIR}/sparse_dd.conf || echo "Failed to install sparse_dd.conf"

.PHONY: uninstall
uninstall:
	rm -f ${BINDIR}/vhd-tool
	rm -f ${LIBEXECDIR}/sparse_dd
	rm -f ${ETCDIR}/sparse_dd.conf

config.mk:
	@echo Running './configure' with the defaults
	./configure

.PHONY: distclean
distclean: clean
	rm -f config.mk

=== debian/changelog ===
vhd-tool (0.7.5-1) UNRELEASED; urgency=low

  * Update to 0.7.5

 -- Jonathan Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

vhd-tool (0.7.4-1) UNRELEASED; urgency=low

  * Update to 0.7.4 - fix handling of tar file prefixes

 -- Euan Harris <euan.harris@citrix.com>  Wed, 09 Apr 2014 12:00:00 +0000

vhd-tool (0.7.3-1) UNRELEASED; urgency=low

  * Update to 0.7.3

 -- Euan Harris <euan.harris@citrix.com>  Wed, 02 Apr 2014 12:00:00 +0000

vhd-tool (0.6.4-1) UNRELEASED; urgency=low

  * Update to 0.6.4

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 21 Nov 2013 12:00:00 +0000

vhd-tool (0.6.1-1) UNRELEASED; urgency=low

  * Update to 0.6.1

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 25 Oct 2013 12:00:00 +0000

vhd-tool (0.6.0-1) UNRELEASED; urgency=low

  * Update to 0.6.0

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 02 Oct 2013 12:00:00 +0000

vhd-tool (0.5.1-1) UNRELEASED; urgency=low

  * Update to 0.5.1

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 27 Sep 2013 12:00:00 +0000

vhd-tool (0.5.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 23 Sep 2013 12:00:00 +0000

=== debian/control ===
Source: vhd-tool
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libtapctl-ocaml-dev,
 libnbd-ocaml-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libio-page-ocaml-dev,
 python,
 debhelper (>= 8),
 libxenstore-ocaml-dev,
 ocaml-findlib,
 libxenstore-clients-ocaml-dev,
 ocaml-native-compilers,
 libsha-ocaml-dev,
 vhd-ocaml-dev,
 liblwt-ocaml-dev,
 libcmdliner-ocaml-dev,
 tar-ocaml-dev

Package: vhd-tool
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Command-line tools for manipulating and streaming .vhd format files
 Simple command-line tools for manipulating and streaming .vhd format
 file.
